# vera_capabilities.yaml
#
# Copyright (C) 2020-2022 Kedron Holdings LLC, All Rights Reserved
# This file is part of Reactor.
#
# *** IMPORTANT ***
# This is a system file. DO NOT place overrides or make modifications here.
# You can add or override implementation section items by specifying them
# in local_vera_devices.yaml in your site configuration.
---
version: 22253
revision: 1
format: 1
copyright: Copyright (C) 2020-2022 Kedron Holdings LLC, All Rights Reserved
capabilities:
  x_vera_energy:
    attributes:
      watts:
        type: real
      amps:
        type: real
      volts:
        type: real
      power_factor:
        type: real
      kwh:
        type: real
      day_kwh:
        type: real
      week_kwh:
        type: real
      month_kwh:
        type: real
      year_kwh:
        type: real
      life_kwh:
        type: real
    actions:
      resetkwh:
        arguments: {}
  x_vera_scene:
    attributes:
      active:
        type: bool
  x_vera_housemode:
    attributes:
      mode:
        type: string
        values:
          - home
          - away
          - night
          - vacation
      #previous_mode:
      #  type: string
    actions:
      set:
        arguments:
          mode:
            type: string
            values:
              - home
              - away
              - night
              - vacation
  x_vera_user:
    attributes:
      id:
        type: int
      is_guest:
        type: bool
      level:
        type: int
      is_home:
        type: bool
  x_vera_geotag:
    attributes:
      home_location:
        type: bool
      latitude:
        type: real
      longitude:
        type: real
      radius:
        type: real
      address:
        type: string
      status:
        type: string
      in_region:
        type: bool
  x_vera_security:
    actions:
      trip: {}
      untrip: {}
  x_vera_ir_transmitter:
    attributes:
      status:
        type: bool
    actions:
      send_pronto:
        arguments:
          code:
            type: string
  x_vera_scene_controller:
    attributes:
      last_scene_id:
        type: int
      last_scene_time:
        type: int
  x_vera_plugin_delaylight_timer:
    attributes:
      timing:
        type: bool
    actions:
      trigger:
        arguments: {}
      reset:
        argumments: {}
      set_enabled:
        arguments:
          enabled:
            type: bool
  x_vera_plugin_reactor:
    attributes:
      clock_valid:
        type: bool
      internet_ok:
        type: bool
      house_mode:
        type: int
    actions: {}
  x_vera_plugin_housemodes:
    attributes:
      house_mode:
        type: int
    actions:
      set_house_mode:
        arguments:
          new_mode:
            type: string
  x_vera_plugin_harmony:
    _comment: 'plugin author: reneboer; mapping author: toggledbits 2021-02-23'
    plugin_id: 8066
    attributes:
      linkstatus: {}
      channel: {}
      current_activity: {}
      activity_status: {}
      last_command: {}
      power_status:
        type: bool
    actions:
      power_off: {}
      start_activity:
        arguments:
          id:
            type: string
      change_channel:
        arguments:
          new_channel:
            type: string
      set_sleep_timer:
        arguments:
          interval:
            type: int
      cancel_sleep_timer:
        arguments: {}
      issue_sequence_cmd:
        arguments:
          sequence_id:
            type: string
      issue_device_cmd:
        arguments:
          device:
            type: string
          command:
            type: string
          duration:
            type: int
      set_hub_polling:
        arguments:
          poll_flag:
            type: string
      set_log_level:
        arguments:
          level:
            type: int
      set_remote_images:
        arguments:
          image_remote:
            type: string
      update_buttons: {}
      force_update_config: {}
  x_vera_plugin_harmony_device:
    _comment: 'plugin author: reneboer; mapping author: toggledbits 2021-02-23'
    attributes:
      last_command:
        type: string
    actions:
      update_device_buttons: {}
      send_device_cmd:
        arguments:
          command:
            type: string
          duration:
            type: int
  x_vera_plugin_telegram:
    actions:
      send:
        arguments:
          text:
            type: string
            sort: 1
          imageurl:
            type: string
            optional: true
            sort: 99
          videourl:
            type: string
            optional: true
            sort: 99
          urlparams:
            type: string
            optional: true
            sort: 99
          chatid:
            type: string
            optional: true
            sort: 2
          format:
            type: string
            optional: true
            sort: 99
          disablenotification:
            type: bool
            default: false
            optional: true
            sort: 3
  x_vera_althue_plugin:
    plugin_id: 9066
    attributes:
      lastscene:
        type: string
      debug:
        type: bool
    actions:
      run_hue_scene:
        arguments:
          scene_id:
            type: string
      set_effect:
        arguments:
          child_id:
            type: string
          effect:
            type: string
      refresh: {}
      set_debug:
        arguments:
          state:
            type: bool
  x_vera_althue_plugin_lamp:
    attributes:
      model:
        type: string
      lamp_hex_value:
        type: string
  x_vera_rgbcontroller_plugin:
    attributes:
      device_type:
        type: string
      configured:
        type: bool
      color:
        type: string
      message:
        type: string
    actions:
      start_animation:
        arguments:
          program_id:
            type: ui1
            sort: 1
          program_name:
            type: string
            sort: 2
            optional: true
          duration:
            type: ui4
            sort: 3
            optional: true
          speed:
            type: ui1
            sort: 4
            optional: true
      stop_animation:
        arguments: {}
  x_vera_plugin_yamaha_rx_http:
    attributes:
      model:
        type: string
      zones:
        type: string
      connected:
        type: bool
      main_power:
        type: bool
      main_input:
        type: string
      main_volume:
        type: real
      main_mute:
        type: bool
      zone2_power:
        type: bool
      zone2_input:
        type: string
      zone2_volume:
        type: real
      zone2_mute:
        type: bool
      zone3_power:
        type: bool
      zone3_input:
        type: string
      zone3_volume:
        type: real
      zone3_mute:
        type: bool
      zone4_power:
        type: bool
      zone4_input:
        type: string
      zone4_volume:
        type: real
      zone4_mute:
        type: bool
    actions:
      set_power:
        arguments:
          zone:
            type: string
            values:
              - '1'
              - '2'
              - '3'
              - '4'
            sort: 1
          state:
            type: bool
      set_scene:
        arguments:
          zone:
            type: string
            values:
              - '1'
              - '2'
              - '3'
              - '4'
            sort: 1
          scene:
            type: int
      set_input:
        arguments:
          zone:
            type: string
            values:
              - '1'
              - '2'
              - '3'
              - '4'
            sort: 1
          input:
            type: string
            values:
              - HDMI1
              - HDMI2
              - AV1
              - AV2
              - AUDIO1
              - AUDIO2
              - V-AUX
              - TUNER
              - USB
              - Pandora
              - AirPlay
              - SERVER
      set_volume:
        arguments:
          zone:
            type: string
            values:
              - '1'
              - '2'
              - '3'
              - '4'
            sort: 1
          level:
            type: real
            min: -80.5
            max: 16.5
            step: 0.5
      set_volume_up_down:
        arguments:
          zone:
            type: string
            values:
              - '1'
              - '2'
              - '3'
              - '4'
            sort: 1
          step:
            type: real
      set_mute:
        arguments:
          zone:
            type: string
            values:
              - '1'
              - '2'
              - '3'
              - '4'
            sort: 1
          mute:
            type: bool
      play_control:
        arguments:
          source:
            type: string
            values:
              - HDMI1
              - HDMI2
              - AV1
              - AV2
              - AUDIO1
              - AUDIO2
              - V-AUX
              - TUNER
              - USB
              - Pandora
              - AirPlay
              - SERVER
            sort: 1
          mode:
            type: string
            values:
              - Stop
              - Pause
              - Play
              - Skip Rev
              - Skip Fwd
      select_preset:
        arguments:
          source:
            type: string
            values:
              - HDMI1
              - HDMI2
              - AV1
              - AV2
              - AUDIO1
              - AUDIO2
              - V-AUX
              - TUNER
              - USB
              - Pandora
              - AirPlay
              - SERVER
            sort: 1
          preset:
            type: int
            min: 1
            max: 40
      set_party_mode:
        arguments:
          enabled:
            type: bool
      send_remote_code:
        arguments:
          code:
            type: string
  x_vera_device:
    attributes:
      device_number:
        type: int
      device_type:
        type: string
      parent_device:
        type: int
      failed:
        type: bool
      configured:
        type: bool
    actions:
      set_variable:
        arguments:
          service:
            type: string
            sort: 1
          variable:
            type: string
            sort: 2
          value:
            type: string
  x_vera_state: {}
  x_vera_attr: {}
  x_vera_group:
    attributes:
      id:
        type: string
  x_vera_sys:
    actions:
      runlua:
        arguments:
          lua:
            type: string
            bigtext: true
            uiclass: code
      reload:
        arguments: {}
